apiVersion: apps/v1
kind: Deployment
metadata:
  name: admin-panel
  labels:
    app: admin-panel
spec:
  replicas: 1
  selector:
    matchLabels:
      app: admin-panel
  template:
    metadata:
      labels:
        app: admin-panel
    spec:
      containers:
        - name: admin-panel
          image: registry.gitlab.com/ledius.com/anta-ress/admin-panel:main
          imagePullPolicy: "Always"
          ports:
            - containerPort: 3000
          envFrom:
            - configMapRef:
                name: admin-panel
      imagePullSecrets:
        - name: registry.gitlab
